package com.pdaaphm.biz.factory;

import com.pdaaphm.biz.service.RunAlgorithmService;
import com.pdaaphm.biz.service.impl.RunMatlabImpl;
import com.pdaaphm.biz.service.impl.RunPythonImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AlgorithmFactory {
    @Autowired
    private RunMatlabImpl runMatlabImpl;
    @Autowired
    private RunPythonImpl runPythonImpl;

    public RunAlgorithmService createRun(String type) {
        if (type.equals("python")) {
            return runPythonImpl;
        } else if (type.equals("cat")) {
            return runMatlabImpl;
        } else {
            return null;
        }
    }
}
